import { IBusinessClassificationSelectorCardHeaderComponent, IChoiceHighlight } from '@boldpenguin/sdk-types';
export declare class BpSdkBusinessClassificationSelectorCardHeader implements IBusinessClassificationSelectorCardHeaderComponent {
    /**
     * Confidence level
     */
    confidence: number;
    /**
     * Alias of choice
     */
    alias: string;
    /**
     * Should show naics code
     */
    showNaicsCode: boolean;
    /**
     * Should show confidence
     */
    showConfidence: boolean;
    /**
     * Value of choice
     */
    value: string;
    /**
     * List of highlight's
     */
    highlights: IChoiceHighlight[] | undefined;
    /**
     * List of highlight filters
     */
    highlightFilters: string[];
    highlight: string;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    onHightLightsChange(highlights?: IChoiceHighlight[]): void;
    onHighlightFilterChanges(filters: string[]): void;
    updateHighlight(filters: string[], highlights?: IChoiceHighlight[]): void;
    renderExternal(): any;
    renderInternal(): any;
}
